## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ConstructWithNoMemoryManager< C > Struct Template Reference

List of all members.

## Public Types

- typedef ConstructValueWithNoMemoryManager<
  C > ConstructableType

## Static Public Member Functions

- C * construct (C *address, MemoryManagerType &)
- C * construct (C *address, const C &theRhs, MemoryManagerType &)

### template<class C>
struct ConstructWithNoMemoryManager< C >

## Member Typedef Documentation

template<class C>
typedef ConstructValueWithNoMemoryManager<C> ConstructWithNoMemoryManager< C >::ConstructableType

## Member Function Documentation

template<class C>
C* ConstructWithNoMemoryManager< C >::construct | ( | C * | address,
|  | const C & | theRhs,
|  | MemoryManagerType & |
| ) | `[static]`

template<class C>
C* ConstructWithNoMemoryManager< C >::construct | ( | C * | address,
|  | MemoryManagerType & |
| ) | `[static]`

The documentation for this struct was generated from the following file:

- XalanMemoryManagement.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.